Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class EventIdentificationType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.EventIdentificationType

    public class EventIdentificationType

extends java.lang.Object

Java class for EventIdentificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EventIdentificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EventID" type="{}CodedValueType"/>
             <element name="EventTypeCode" type="{}CodedValueType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="EventActionCode">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="C"/>
                 <enumeration value="R"/>
                 <enumeration value="U"/>
                 <enumeration value="D"/>
                 <enumeration value="E"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="EventDateTime" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="EventOutcomeIndicator" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}integer">
                 <enumeration value="0"/>
                 <enumeration value="4"/>
                 <enumeration value="8"/>
                 <enumeration value="12"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_Event_Identification_Type`
`static java.lang.String` | `DB_Event_Type_Code`

Constructor Summary
`EventIdentificationType()`
`EventIdentificationType(int eventOutComeIndic)`

Method Summary
`org.w3c.dom.Document` | `getDoc()`
`java.lang.String` | `getEventActionCode()` Gets the value of the eventActionCode property.
`java.lang.String` | `getEventActionCodeName()`
`TimeStamp` | `getEventDateTime()` Gets the value of the eventDateTime property.
`CodedValueType` | `getEventID()`
`org.w3c.dom.Element` | `getEventIdentificationNode()`
`int` | `getEventOutcomeIndicator()` Gets the value of the eventOutcomeIndicator property.
`java.lang.String` | `getEventOutcomeIndicatorName()`
`java.util.List` | `getEventTypeCode()` Gets the value of the eventTypeCode property.
`static boolean` | `isValidElement(org.w3c.dom.Element el)`
`static void` | `main(java.lang.String[] args)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setEventActionCode(java.lang.String s)` Sets the value of the eventActionCode property.
`void` | `setEventDateTime()`
`void` | `setEventDateTime(java.lang.String value)`
`void` | `setEventDateTime(TimeStamp value)` Sets the value of the eventDateTime property.
`void` | `setEventID(CodedValueType value)` Sets the value of the eventID property.
`void` | `setEventOutcomeIndicator(int value)` Sets the value of the eventOutcomeIndicator property.
`void` | `setEventOutcomeIndicator(java.lang.String value)`
`void` | `setEventTypeCode(CodedValueType value)`
`java.lang.String` | `toHtml()`
`java.lang.String` | `toXml()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_Event_Identification_Type

    public static java.lang.String DB_Event_Identification_Type

### DB_Event_Type_Code

    public static java.lang.String DB_Event_Type_Code

Constructor Detail

### EventIdentificationType

    public EventIdentificationType()
                            throws javax.xml.parsers.ParserConfigurationException,
                                   javax.xml.parsers.FactoryConfigurationError

Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`

### EventIdentificationType

    public EventIdentificationType(int eventOutComeIndic)
                            throws javax.xml.parsers.ParserConfigurationException,
                                   javax.xml.parsers.FactoryConfigurationError,
                                   ATNAException

Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`
  `ATNAException`

Method Detail

### setEventID

    public void setEventID(CodedValueType value)

  Sets the value of the eventID property.

  Parameters:
    `value` - allowed object is `CodedValueType`

### getEventID

    public CodedValueType getEventID()

### getEventTypeCode

    public java.util.List getEventTypeCode()

  Gets the value of the eventTypeCode property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the eventTypeCode property.

  For example, to add a new item, do as follows:

          getEventTypeCode().add(newItem);

  Objects of the following type(s) are allowed in the list `CodedValueType`

### setEventTypeCode

    public void setEventTypeCode(CodedValueType value)

### getEventActionCode

    public java.lang.String getEventActionCode()

  Gets the value of the eventActionCode property.

  Returns:
    possible object is `String`

### setEventActionCode

    public void setEventActionCode(java.lang.String s)
                            throws ATNAException

  Sets the value of the eventActionCode property.

  Parameters:
    `value` - allowed object is `String`
  Throws:
    `ATNAException`

### getEventDateTime

    public TimeStamp getEventDateTime()

  Gets the value of the eventDateTime property.

  Returns:
    possible object is `XMLGregorianCalendar`

### setEventDateTime

    public void setEventDateTime(TimeStamp value)

  Sets the value of the eventDateTime property.

  Parameters:
    `value` - allowed object is `XMLGregorianCalendar`

### setEventDateTime

    public void setEventDateTime()

### setEventDateTime

    public void setEventDateTime(java.lang.String value)

### getEventOutcomeIndicator

    public int getEventOutcomeIndicator()

  Gets the value of the eventOutcomeIndicator property.

  Returns:
    possible object is `BigInteger`

### setEventOutcomeIndicator

    public void setEventOutcomeIndicator(int value)
                                  throws ATNAException

  Sets the value of the eventOutcomeIndicator property.

  Parameters:
    `value` - allowed object is `BigInteger`
  Throws:
    `ATNAException`
    `SyslogException`

### setEventOutcomeIndicator

    public void setEventOutcomeIndicator(java.lang.String value)
                                  throws ATNAException

  Throws:
    `ATNAException`

### toXml

    public java.lang.String toXml()

### toHtml

    public java.lang.String toHtml()

### getEventOutcomeIndicatorName

    public java.lang.String getEventOutcomeIndicatorName()

### getEventActionCodeName

    public java.lang.String getEventActionCodeName()

### main

    public static void main(java.lang.String[] args)

### getEventIdentificationNode

    public org.w3c.dom.Element getEventIdentificationNode()

### getDoc

    public org.w3c.dom.Document getDoc()

### isValidElement

    public static boolean isValidElement(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)
               throws ATNAException

  Throws:
    `ATNAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD